GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Friends
grpc::ServerAsyncStreamingInterface Class Referenceabstract

`#include <service_type.h>`

## Public Member Functions
virtual | ~ServerAsyncStreamingInterface ()
virtual void | SendInitialMetadata (void *tag)=0

## Friends
class | Server

## Constructor & Destructor Documentation

virtual grpc::ServerAsyncStreamingInterface::~ServerAsyncStreamingInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void grpc::ServerAsyncStreamingInterface::SendInitialMetadata | ( | void * | tag | ) |
| pure virtual

Implemented in grpc::ServerAsyncReaderWriter< R, W >, grpc::ServerAsyncWriter< W >, grpc::ServerAsyncReader< W, R >, and grpc::ServerAsyncResponseWriter< W >.

## Friends And Related Function Documentation

friend class Server
| friend

The documentation for this class was generated from the following file:

- include/grpc++/impl/service_type.h